## NAS Get Tx Rx Info request NAS Get Tx Rx Info request |

## Functions

QmiMessageNasGetTxRxInfoInput * | qmi_message_nas_get_tx_rx_info_input_new ()
QmiMessageNasGetTxRxInfoInput * | qmi_message_nas_get_tx_rx_info_input_ref ()
void | qmi_message_nas_get_tx_rx_info_input_unref ()
gboolean | qmi_message_nas_get_tx_rx_info_input_get_radio_interface ()
gboolean | qmi_message_nas_get_tx_rx_info_input_set_radio_interface ()
QmiMessageNasGetTxRxInfoOutput * | qmi_message_nas_get_tx_rx_info_output_ref ()
void | qmi_message_nas_get_tx_rx_info_output_unref ()
gboolean | qmi_message_nas_get_tx_rx_info_output_get_result ()
gboolean | qmi_message_nas_get_tx_rx_info_output_get_rx_chain_0_info ()
gboolean | qmi_message_nas_get_tx_rx_info_output_get_rx_chain_1_info ()
gboolean | qmi_message_nas_get_tx_rx_info_output_get_tx_info ()
void | qmi_client_nas_get_tx_rx_info ()
QmiMessageNasGetTxRxInfoOutput * | qmi_client_nas_get_tx_rx_info_finish ()

## Types and Values

| QmiMessageNasGetTxRxInfoInput
| QmiMessageNasGetTxRxInfoOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageNasGetTxRxInfoInput
        ╰── QmiMessageNasGetTxRxInfoOutput

## Description

## Functions

### qmi_message_nas_get_tx_rx_info_input_new ()

    QmiMessageNasGetTxRxInfoInput *
    qmi_message_nas_get_tx_rx_info_input_new
                                   (void);

Allocates a new QmiMessageNasGetTxRxInfoInput.

#### Returns

the newly created QmiMessageNasGetTxRxInfoInput. The returned value should be freed with `qmi_message_nas_get_tx_rx_info_input_unref()`.

Since: 1.6

### qmi_message_nas_get_tx_rx_info_input_ref ()

    QmiMessageNasGetTxRxInfoInput *
    qmi_message_nas_get_tx_rx_info_input_ref
                                   (QmiMessageNasGetTxRxInfoInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetTxRxInfoInput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_nas_get_tx_rx_info_input_unref ()

    void
    qmi_message_nas_get_tx_rx_info_input_unref
                                   (QmiMessageNasGetTxRxInfoInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetTxRxInfoInput. |

Since: 1.6

### qmi_message_nas_get_tx_rx_info_input_get_radio_interface ()

    gboolean
    qmi_message_nas_get_tx_rx_info_input_get_radio_interface
                                   (QmiMessageNasGetTxRxInfoInput *self,
                                    QmiNasRadioInterface *value_radio_interface,
                                    GError **error);

Get the 'Radio Interface' field from `self` .

#### Parameters

self | a QmiMessageNasGetTxRxInfoInput. |
value_radio_interface | a placeholder for the output QmiNasRadioInterface, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_nas_get_tx_rx_info_input_set_radio_interface ()

    gboolean
    qmi_message_nas_get_tx_rx_info_input_set_radio_interface
                                   (QmiMessageNasGetTxRxInfoInput *self,
                                    QmiNasRadioInterface value_radio_interface,
                                    GError **error);

Set the 'Radio Interface' field in the message.

#### Parameters

self | a QmiMessageNasGetTxRxInfoInput. |
value_radio_interface | a QmiNasRadioInterface. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_nas_get_tx_rx_info_output_ref ()

    QmiMessageNasGetTxRxInfoOutput *
    qmi_message_nas_get_tx_rx_info_output_ref
                                   (QmiMessageNasGetTxRxInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetTxRxInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_nas_get_tx_rx_info_output_unref ()

    void
    qmi_message_nas_get_tx_rx_info_output_unref
                                   (QmiMessageNasGetTxRxInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetTxRxInfoOutput. |

Since: 1.6

### qmi_message_nas_get_tx_rx_info_output_get_result ()

    gboolean
    qmi_message_nas_get_tx_rx_info_output_get_result
                                   (QmiMessageNasGetTxRxInfoOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetTxRxInfoOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.6

### qmi_message_nas_get_tx_rx_info_output_get_rx_chain_0_info ()

    gboolean
    qmi_message_nas_get_tx_rx_info_output_get_rx_chain_0_info
                                   (QmiMessageNasGetTxRxInfoOutput *self,
                                    gboolean *value_rx_chain_0_info_is_radio_tuned,
                                    gint32 *value_rx_chain_0_info_rx_power,
                                    gint32 *value_rx_chain_0_info_ecio,
                                    gint32 *value_rx_chain_0_info_rscp,
                                    gint32 *value_rx_chain_0_info_rsrp,
                                    guint32 *value_rx_chain_0_info_phase,
                                    GError **error);

Get the 'Rx Chain 0 Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetTxRxInfoOutput. |
value_rx_chain_0_info_is_radio_tuned | a placeholder for the output gboolean, or `NULL` if not required. |
value_rx_chain_0_info_rx_power | a placeholder for the output gint32, or `NULL` if not required. |
value_rx_chain_0_info_ecio | a placeholder for the output gint32, or `NULL` if not required. |
value_rx_chain_0_info_rscp | a placeholder for the output gint32, or `NULL` if not required. |
value_rx_chain_0_info_rsrp | a placeholder for the output gint32, or `NULL` if not required. |
value_rx_chain_0_info_phase | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_nas_get_tx_rx_info_output_get_rx_chain_1_info ()

    gboolean
    qmi_message_nas_get_tx_rx_info_output_get_rx_chain_1_info
                                   (QmiMessageNasGetTxRxInfoOutput *self,
                                    gboolean *value_rx_chain_1_info_is_radio_tuned,
                                    gint32 *value_rx_chain_1_info_rx_power,
                                    gint32 *value_rx_chain_1_info_ecio,
                                    gint32 *value_rx_chain_1_info_rscp,
                                    gint32 *value_rx_chain_1_info_rsrp,
                                    guint32 *value_rx_chain_1_info_phase,
                                    GError **error);

Get the 'Rx Chain 1 Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetTxRxInfoOutput. |
value_rx_chain_1_info_is_radio_tuned | a placeholder for the output gboolean, or `NULL` if not required. |
value_rx_chain_1_info_rx_power | a placeholder for the output gint32, or `NULL` if not required. |
value_rx_chain_1_info_ecio | a placeholder for the output gint32, or `NULL` if not required. |
value_rx_chain_1_info_rscp | a placeholder for the output gint32, or `NULL` if not required. |
value_rx_chain_1_info_rsrp | a placeholder for the output gint32, or `NULL` if not required. |
value_rx_chain_1_info_phase | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_nas_get_tx_rx_info_output_get_tx_info ()

    gboolean
    qmi_message_nas_get_tx_rx_info_output_get_tx_info
                                   (QmiMessageNasGetTxRxInfoOutput *self,
                                    gboolean *value_tx_info_is_in_traffic,
                                    gint32 *value_tx_info_tx_power,
                                    GError **error);

Get the 'Tx Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetTxRxInfoOutput. |
value_tx_info_is_in_traffic | a placeholder for the output gboolean, or `NULL` if not required. |
value_tx_info_tx_power | a placeholder for the output gint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_client_nas_get_tx_rx_info ()

    void
    qmi_client_nas_get_tx_rx_info (QmiClientNas *self,
                                   QmiMessageNasGetTxRxInfoInput *input,
                                   guint timeout,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously sends a Get Tx Rx Info request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_tx_rx_info_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
input | a QmiMessageNasGetTxRxInfoInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.6

### qmi_client_nas_get_tx_rx_info_finish ()

    QmiMessageNasGetTxRxInfoOutput *
    qmi_client_nas_get_tx_rx_info_finish (QmiClientNas *self,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an async operation started with `qmi_client_nas_get_tx_rx_info()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_tx_rx_info()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetTxRxInfoOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_tx_rx_info_output_unref()`.

Since: 1.6

## Types and Values

### QmiMessageNasGetTxRxInfoInput

    typedef struct _QmiMessageNasGetTxRxInfoInput QmiMessageNasGetTxRxInfoInput;

The QmiMessageNasGetTxRxInfoInput structure contains private data and should only be accessed using the provided API.

Since: 1.6

### QmiMessageNasGetTxRxInfoOutput

    typedef struct _QmiMessageNasGetTxRxInfoOutput QmiMessageNasGetTxRxInfoOutput;

The QmiMessageNasGetTxRxInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6